Personal tools
You are here: Home Forum Install & build Problem in running Salome 9.4.0 in Ubuntu 18.04

Problem in running Salome 9.4.0 in Ubuntu 18.04

Up to Install & build

Problem in running Salome 9.4.0 in Ubuntu 18.04

Posted by KGN at April 19. 2020

I have downloaded Salome v 9.4.0 binary package for Ubuntu 18.04.

Unpacked the binary file and tried to run Salome using ./salome command, but got the following error message

 

  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/KERNEL/bin/salome/PortManager.py", line 118, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/Python/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/Python/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
omniNames: (0) 2020-04-19 18:58:07.974636: -ORBendPoint option overriding default endpoint.
SALOME_Session_Server: error while loading shared libraries: libtbb.so.2: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/KERNEL/bin/salome/orbmodule.py", line 181, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/KERNEL/bin/salome/runSalome.py", line 679, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/KERNEL/bin/salome/runSalome.py", line 624, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/saiuma/SW_Backup/SALOME-9.4.0-UB18.04-SRC/BINARIES-UB18.04/KERNEL/bin/salome/orbmodule.py", line 183, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 10031 for /Kernel/Session not found
Warning, no type found for resource "localhost", using default value "single_machine"

 

 

Please help

Re: Problem in running Salome 9.4.0 in Ubuntu 18.04

Posted by Nabil Ghodbane at April 19. 2020
Powered by Ploneboard
Document Actions